﻿/* 
   HTML porfolio Website
   Filename: styles.css

   Author: Van Viet Pham  
   Date:   12/02/2024  
   HTML5 and CSS3 Illustrated portfolio, Lessons
 */

/* reset styles */
html {
   font-size: 12px;
}
a, article, body, div, header, h1, p {
   border: 0;
   padding: 0;
   margin: 0;
}
img {
   border: 0;
   padding: 0;
   margin: 0;
}

/* body */
body {
   max-width: 800px;
   margin: 0 auto;
   background-color: #dee9f9;
   font-family: Tahoma, Arial, Helvetica, sans-serif;
}
.container {
   background-color: #E6EoFF;
   position: relative;
}
p {
   font-size: 1.4em;
   line-height: 1.6em;
}

/* header section */
h1 {
   padding: 0.6em 0.4em 0.4em;
   text-align: center;
   font-family: Bitter, "Times New Roman", Times, serif;
   font-weight: 700;
   color: ivory;
   background-color: #34180f;
   font-size: 3.4em;
}

/* main content */
article {
   width: 94%; 
   padding: 0 3% 1em;
   background-color: ivory;
   float: right; 
}


article p {
   padding-top: 1em;
}
.title {
   font-style: italic;
}



/* print styles */
@media print {
   body, h1, article, footer {
      color: rgb(0,0,0);
      background-color: rgb(255,255,255);
   }
   body {
      max-width: 100%;
      border: 0;
   }
   h1 {
      font-size: 2.6em;
      padding: 0;
   }
   h2 {
      font-size: 2.2em;
   }
   article p {
      margin: 0.4em 0 0;
   }
}
@page {
   margin: 0.75in;
}